Package org.sonatype.maven.polyglot.io

# Class ModelWriterSupport

java.lang.Object
org.sonatype.maven.polyglot.io.ModelWriterSupport

All Implemented Interfaces:
  `org.apache.maven.model.io.ModelWriter`

Direct Known Subclasses:
  `GroovyModelWriter`

public abstract class ModelWriterSupport extends Object implements org.apache.maven.model.io.ModelWriter
Support for `ModelWriter` implementations.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Constructor
Description
`ModelWriterSupport()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(File file, Map<String,Object> options, org.apache.maven.model.Model model)`
`void`
`write(OutputStream output, Map<String,Object> options, org.apache.maven.model.Model model)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.model.io.ModelWriter

`write`

## Constructor Details

### ModelWriterSupport

public ModelWriterSupport()

## Method Details

### write

public void write(File file, Map<String,Object> options, org.apache.maven.model.Model model) throws IOException

Specified by:
  `write` in interface `org.apache.maven.model.io.ModelWriter`
Throws:
  `IOException`

### write

public void write(OutputStream output, Map<String,Object> options, org.apache.maven.model.Model model) throws IOException

Specified by:
  `write` in interface `org.apache.maven.model.io.ModelWriter`
Throws:
  `IOException`